# octavia.statistics.drivers package

## Submodules

## octavia.statistics.drivers.logger module

class StatsLogger

  Bases: `StatsDriverMixin`

  update_stats(listener_stats, deltas=False)

    Return a stats object formatted for a generic backend

    Parameters:

      - listener_stats (list) – A list of data_model.ListenerStatistics objects

      - deltas (bool) – Indicates whether the stats are deltas (false==absolute)

## octavia.statistics.drivers.update_db module

class StatsUpdateDb

  Bases: `StatsDriverMixin`

  update_stats(listener_stats, deltas=False)

    This function is to update the db with listener stats

## Module contents

this page last updated: 2026-04-13 15:26:39

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug